> For the complete documentation index, see [llms.txt](https://docs.paragontruss.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.paragontruss.com/api/readme.md).

# Welcome to the Paragon API

The Paragon API is the way to programmatically interface with Paragon so that you can automate tedious tasks, access Paragon data through custom apps, or build your your own workflow that integrates with Paragon.

The Paragon API can either be accessed directly as a REST API or can be accessed through our .NET library. If you are building a .NET application, the .NET library is the recommended way to to use the Paragon API since it provides built-in authorization and C# models. Otherwise, the REST API is the recommended approach for using the Paragon API.

Choose one of the two methods to get started, or choose another option from the Table of Contents.

{% content-ref url="/pages/1aA3lIQTlG549YCCvhkg" %}
[Getting Started with .NET](/api/quickstarts/getting-started-with-.net.md)
{% endcontent-ref %}

{% content-ref url="/pages/57k0sOiwPNBmGR38nnmh" %}
[Getting Started with REST](/api/quickstarts/getting-started-with-rest.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.paragontruss.com/api/readme.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
